### Method

# Gtk.Snapshot.append_conic_gradient

#### Declaration [src]

    void
    gtk_snapshot_append_conic_gradient (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds,
      const graphene_point_t* center,
      float rotation,
      const GskColorStop* stops,
      gsize n_stops
    )

#### Description [src]

Appends a conic gradient node with the given stops to `snapshot`.

#### Parameters

`bounds` | `const graphene_rect_t*`
| the rectangle to render the gradient into
| Ownership is not transferred to the callee
`center` | `const graphene_point_t*`
| the center point of the conic gradient
| Ownership is not transferred to the callee
`rotation` | `float`
| the clockwise rotation in degrees of the starting angle. 0 means the starting angle is the top.
`stops` | An array of `GskColorStop`
| a pointer to an array of `GskColorStop` defining the gradient
| The length of the array is in the `n_stops` argument
| Ownership is not transferred to the callee
`n_stops` | `gsize`
| the number of elements in `stops`